# image task

Image v2

## image task list

List tasks

    openstack image task list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--sort-key <key>[:<field>]]
        [--sort-dir <key>[:<direction>]]
        [--limit <num-tasks>]
        [--marker <task>]
        [--type <type>]
        [--status <status>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--sort-key <key>[:<field>]

  Sorts the response by one of the following attributes: created_at, expires_at, id, status, type, updated_at. (default is created_at) (multiple keys and directions can be specified separated by comma)

--sort-dir <key>[:<direction>]

  Sort output by selected keys and directions (asc or desc) (default: name:desc) (multiple keys and directions can be specified separated by comma)

--limit <num-tasks>

  Maximum number of tasks to display.

--marker <task>

  The last task of the previous page. Display list of tasks after marker. Display all tasks if not specified. (name or ID)

--type <type>

  Filters the response by a task type.

--status <status>

  Filter tasks based on status.

## image task show

Display task details

    openstack image task show <Task ID>

Task ID

  Task to display (ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.